Bug 1894787 - tigervnc should Require: xkbcomp instead of xorg-x11-xkb-utils
Summary: tigervnc should Require: xkbcomp instead of xorg-x11-xkb-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1867220
TreeView+ depends on / blocked
 
Reported: 2020-11-05 03:43 UTC by Peter Hutterer
Modified: 2020-11-09 05:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-09 05:48:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Peter Hutterer 2020-11-05 03:43:08 UTC
xorg-x11-xkb-utils is an aggregate package, shipping a few tools that should be in their own respective packages, see [1]. Of these tigervnc requires only xkbcomp.

We've had Provides: xkbcomp in xorg-x11-xkb-utils for years:
$ dnf repoquery --whatprovides  xkbcomp
Last metadata expiration check: 0:07:46 ago on Thu 05 Nov 2020 13:32:47.
xorg-x11-xkb-utils-0:7.7-33.fc33.x86_64

tigervnc should switch to Requires: xkbcomp so we can actually obsolete the aggregate package and start using separate packages.


[1] https://fedoraproject.org/wiki/Changes/XorgUtilityDeaggregation

Minimal diff to illustrate:

diff --git a/tigervnc.spec b/tigervnc.spec                                                                           
index 16ff371..4e3a109 100644                                                                                        
--- a/tigervnc.spec                                                                                                  
+++ b/tigervnc.spec                                                                                                  
@@ -90,7 +90,7 @@ Requires(preun): systemd                                                                           
 Requires(postun): systemd
 Requires(post): systemd

-Requires:       mesa-dri-drivers, xkeyboard-config, xorg-x11-xkb-utils                                              
+Requires:       mesa-dri-drivers, xkeyboard-config, xkbcomp                                                         
 Requires:       tigervnc-license, dbus-x11

 %description server-minimal



Happy to push and build, I have provenpackager.

Comment 1 Peter Hutterer 2020-11-09 05:48:16 UTC
and pushed now. shouldn't have any noticable effect


Note You need to log in before you can comment on or make changes to this bug.